Loading...
Searching...
No Matches
coap_threadsafe_internal.h File Reference

CoAP mapping of locking functions. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | coap_lock_lock(c, failed)
| Dummy for no thread-safe code.
#define | coap_lock_unlock(c)
| Dummy for no thread-safe code.
#define | coap_lock_init()
| Dummy for no thread-safe code.
#define | coap_lock_check_locked(c)
| Dummy for no thread-safe code.
#define | coap_lock_callback(c, func)
| Dummy for no thread-safe code.
#define | coap_lock_callback_ret(r, c, func)
| Dummy for no thread-safe code.
#define | coap_lock_callback_release(c, func, failed)
| Dummy for no thread-safe code.
#define | coap_lock_callback_ret_release(r, c, func, failed)
| Dummy for no thread-safe code.
#define | coap_lock_invert(c, alt_lock, failed)
| Dummy for no thread-safe code.

## Typedefs

typedef coap_mutex_t | coap_lock_t

## Detailed Description

CoAP mapping of locking functions.

Definition in file coap_threadsafe_internal.h.